import { type Repository } from '@slovo/domain/repository';
import { Entity, type EntityId } from '@slovo/domain/entity';
import { Image } from '@slovo/models/image';
import connectionPool from '@slovo/infrastructure/connection-pool';

export class ImageRepository implements Repository<Image> {
  public async get(id: EntityId): Promise<Entity<Image>> {
    const conn = await connectionPool.getConnection();

    await conn.release();
  }
}
